searchNodes=[{"doc":"Documentation for BitstylesPhoenix.","ref":"BitstylesPhoenix.html","title":"BitstylesPhoenix","type":"module"},{"doc":"The very best of NPM, now for elixir.","ref":"BitstylesPhoenix.Classnames.html","title":"BitstylesPhoenix.Classnames","type":"module"},{"doc":"Concatenates lists of class names, with trimming and conditionals.e2e- classes are trimmed at compile time. This can be disabled for test environments via trim_e2e_classes.Examplesiex&gt; classnames(&quot;foo&quot;) &quot;foo&quot; iex&gt; classnames(&quot;e2e-out&quot;) &quot;&quot; iex&gt; classnames(nil) &quot;&quot; iex&gt; classnames(&quot; foo &quot;) &quot;foo&quot; iex&gt; classnames([&quot;foo&quot;, &quot;bar&quot;]) &quot;foo bar&quot; iex&gt; classnames(:foo) &quot;foo&quot; iex&gt; classnames({&quot;foo&quot;, 1 == 1}) &quot;foo&quot; iex&gt; classnames({&quot;foo&quot;, 1 == 2}) &quot;&quot; iex&gt; classnames([&quot; foo &quot;, {&quot;bar&quot;, 1 == 2}, :baz]) &quot;foo baz&quot;","ref":"BitstylesPhoenix.Classnames.html#classnames/1","title":"BitstylesPhoenix.Classnames.classnames/1","type":"function"},{"doc":"Extended classnames.e2e- classes are trimmed at compile time. This can be disabled for test environments via trim_e2e_classes.Conveniently accepts a (whitespace-separated) string or a list. If the list contains any conditional expressions, they are evaluated at runtime.","ref":"BitstylesPhoenix.Classnames.html#xclassnames/1","title":"BitstylesPhoenix.Classnames.xclassnames/1","type":"macro"},{"doc":"","ref":"BitstylesPhoenix.Components.html","title":"BitstylesPhoenix.Components","type":"module"},{"doc":"Button and button-like UI components","ref":"BitstylesPhoenix.Components.Button.html","title":"BitstylesPhoenix.Components.Button","type":"module"},{"doc":"Renders anchor or button elements that look like a button — using the a-button classes. It accepts similar parameters to Phoenix.HTML.Link/2, with the following additional notes:opts[:to] — if there’s a to parameter, you’ll get an anchor element, otherwise a button element. opts[:variant] — specifies which visual variant of button you want, from those available in the CSS classes e.g. primary, danger opts[:e2e_classname] — A classname that will be applied to the element for testing purposes, only on integration envAll other parameters you pass are forwarded to the Phoenix link or submit helpers, if one of those is rendered.Examplesiex&gt; doctest_ui_component ui_button(&quot;Save&quot;, type: &quot;submit&quot;) ~s(&lt;button class=&quot;a-button&quot; type=&quot;submit&quot;&gt;Save&lt;/button&gt;) iex&gt; doctest_ui_component ui_button(&quot;Save&quot;, type: &quot;submit&quot;, variant: &quot;primary&quot;) ~s(&lt;button class=&quot;a-button a-button--primary&quot; type=&quot;submit&quot;&gt;Save&lt;/button&gt;) iex&gt; doctest_ui_component ui_button(&quot;Click me&quot;, variant: &quot;clear&quot;, type: &quot;reset&quot;) ~s(&lt;button class=&quot;a-button a-button--clear&quot; type=&quot;reset&quot;&gt;Click me&lt;/button&gt;) iex&gt; doctest_ui_component ui_button(&quot;Show&quot;, to: &quot;/admin/admin_accounts/id&quot;, data: [confirm: &quot;Are you sure?&quot;]) ~s(&lt;a class=&quot;a-button&quot; data-confirm=&quot;Are you sure?&quot; href=&quot;/admin/admin_accounts/id&quot;&gt;Show&lt;/a&gt;) iex&gt; doctest_ui_component ui_button(&quot;Click me&quot;, variant: &quot;clear&quot;, type: &quot;submit&quot;, data: [confirm: &quot;Are you sure?&quot;]) ~s(&lt;button class=&quot;a-button a-button--clear&quot; data-confirm=&quot;Are you sure?&quot; type=&quot;submit&quot;&gt;Click me&lt;/button&gt;)","ref":"BitstylesPhoenix.Components.Button.html#ui_button/2","title":"BitstylesPhoenix.Components.Button.ui_button/2","type":"function"},{"doc":"Conveniences for translating and building error messages.","ref":"BitstylesPhoenix.Components.Error.html","title":"BitstylesPhoenix.Components.Error","type":"module"},{"doc":"","ref":"BitstylesPhoenix.Components.Error.html#no_translation/1","title":"BitstylesPhoenix.Components.Error.no_translation/1","type":"function"},{"doc":"Generates tag for inlined form input errors.","ref":"BitstylesPhoenix.Components.Error.html#ui_error/2","title":"BitstylesPhoenix.Components.Error.ui_error/2","type":"function"},{"doc":"Form-related UI components. The various form helpers here follow the interface provided by HTML — inputs, selects, and textareas.","ref":"BitstylesPhoenix.Components.Form.html","title":"BitstylesPhoenix.Components.Form","type":"module"},{"doc":"Renders all types of &lt;input&gt; element, with the associated &lt;label&gt;s, and any errors for that field. Defaults to type=&quot;text&quot;, and maxlength=&quot;255&quot;. As with the various text_input, number_input helpers in Phoenix.HTML.Form, this expects the form &amp; field as first parameters. opts will be passed on to the respective underlying Phoenix form helper, with the following additional notes:form — the form object this input is being rendered inside field — the atom for the field you’re rendering opts[:type] — the type of the input required, analogous to the input types in the HTML standard opts[:e2e_classname] — A classname that will be applied to the input for testing purposes, only on integration env opts[:label] — Override the default text to be used in the &lt;label&gt; opts[:hidden_label] — The label element will be visually hidden, but still present in the DOMExamplesiex&gt; ui_input(f, :field) ~s(&lt;label for=&quot;field&quot;&gt;Field&lt;/label&gt; &lt;input id=&quot;field&quot; name=&quot;field&quot; type=&quot;text&quot;&gt;) iex&gt; ui_input(f, :email_or_name, type: :search, placeholder: &quot;Email or Name search&quot;, autofocus: true) ~s(&lt;label for=&quot;email_or_number_or_name&quot;&gt;Email or name&lt;/label&gt; &lt;input id=&quot;email_or_number_or_name&quot; name=&quot;email_or_name&quot; placeholder=&quot;Email or Name search&quot; type=&quot;search&quot; autofocus=&quot;&quot;&gt;) iex&gt; ui_input(f, :file, type: :file, accept: &quot;application/pdf&quot;) ~s(&lt;label for=&quot;file&quot;&gt;File&lt;/label&gt; &lt;input accept=&quot;application/pdf&quot; id=&quot;file&quot; name=&quot;user[file]&quot; type=&quot;file&quot;&gt;) iex&gt; ui_input(f, :search_term, type: :search, hidden_label: true) ~s(&lt;label for=&quot;search_term&quot; class=&quot;u-sr-only&quot;&gt;Search&lt;/label&gt; &lt;input id=&quot;search_term&quot; name=&quot;search_term&quot; type=&quot;search&quot;&gt;)","ref":"BitstylesPhoenix.Components.Form.html#ui_input/3","title":"BitstylesPhoenix.Components.Form.ui_input/3","type":"function"},{"doc":"Renders &lt;select&gt; elements, with the associated &lt;label&gt;s, and any errors for that field. As with the select form helper in Phoenix.HTML.Form, this expects the form, field, and options as first parameters. opts will be passed on to the respective underlying Phoenix form helper, with the following additional notes:form — the form object this input is being rendered inside field — the atom for the field you’re rendering options — the options to be rendered in this select element opts[:e2e_classname] — A classname that will be applied to the input for testing purposes, only on integration env opts[:label] — Override the default text to be used in the &lt;label&gt;Examples iex&gt; ui_select(f, :week, 1..2, label: &quot;Week&quot;, e2e_classname: &quot;e2e-filters-week-week&quot;) ~s(&lt;label for=&quot;filters_week&quot;&gt;Week&lt;/label&gt; &lt;select class=&quot;e2e-filters-week-week&quot; id=&quot;filters_week&quot; name=&quot;filters[week]&quot;&gt;&lt;option value=&quot;1&quot;&gt;1&lt;/option&gt;&lt;option value=&quot;2&quot;&gt;2&lt;/option&gt;&lt;/select&gt;) iex&gt; ui_select(f, :week, 1..2, label: &quot;Week&quot;, hidden_label: true) ~s(&lt;label for=&quot;filters_week&quot; class=&quot;u-sr-only&quot;&gt;Week&lt;/label&gt; &lt;select id=&quot;filters_week&quot; name=&quot;filters[week]&quot;&gt;&lt;option value=&quot;1&quot;&gt;1&lt;/option&gt;&lt;option value=&quot;2&quot;&gt;2&lt;/option&gt;&lt;/select&gt;)","ref":"BitstylesPhoenix.Components.Form.html#ui_select/4","title":"BitstylesPhoenix.Components.Form.ui_select/4","type":"function"},{"doc":"Renders &lt;textarea&gt; elements, with the associated &lt;label&gt;s, and any errors for that field. As with the various form helpers in Phoenix.HTML.Form, this expects the form &amp; field as first parameters. This is an alias for ui_input, as we’re matching the HTML elements, which present a different interface to that presented by the phoenix functions (i.e. in HTML we have &lt;textarea&gt;, not &lt;input type=&quot;textarea&quot;&gt;) opts will be passed on to the respective underlying Phoenix form helper, with the following additional notes:form — the form object this input is being rendered inside field — the atom for the field you’re rendering opts[:e2e_classname] — A classname that will be applied to the input for testing purposes, only on integration env opts[:label] — Override the default text to be used in the &lt;label&gt;Examplesiex&gt; ui_textarea(f, :address) ~s(&lt;label for=&quot;user_address&quot;&gt;Address&lt;/label&gt; &lt;textarea id=&quot;user_address&quot; name=&quot;user[address]&quot;&gt;&lt;/textarea&gt;) iex&gt; ui_textarea(f, :stringified_metadata, label: &quot;Metadata&quot;, value: &quot;Value here&quot;, rows: 10, style: &quot;height: auto;&quot;) ~s(&lt;label for=&quot;user_stringified_metadata&quot;&gt;Metadata&lt;/label&gt; &lt;textarea id=&quot;user_stringified_metadata&quot; name=&quot;user[stringified_metadata]&quot; rows=&quot;10&quot; style=&quot;height: auto;&quot;&gt;&lt;/textarea&gt;) iex&gt; ui_textarea(f, :address, hidden_label: true) ~s(&lt;label for=&quot;user_address&quot; class=&quot;u-sr-only&quot;&gt;Metadata&lt;/label&gt; &lt;textarea id=&quot;user_address&quot; name=&quot;user[address]&quot;&gt;&lt;/textarea&gt;)","ref":"BitstylesPhoenix.Components.Form.html#ui_textarea/3","title":"BitstylesPhoenix.Components.Form.ui_textarea/3","type":"function"},{"doc":"An SVG icon system, that expects the icons to be present on the page, rendered as SVG &lt;symbol&gt;s.","ref":"BitstylesPhoenix.Components.Icon.html","title":"BitstylesPhoenix.Components.Icon","type":"module"},{"doc":"Renders an icon element.opts[:name] — The name of the icon to render. This must be present in the SVG that renders all the icons in the top of the body e.g. _svgs.html.eex as a &lt;symbol&gt; containing one filled path.Examples iex&gt; doctest_ui_component ui_icon(&quot;right&quot;) ~s(&lt;svg alt=&quot;&quot; class=&quot;a-icon&quot; role=&quot;presentation&quot;&gt;&lt;use xlink:href=&quot;#icon-right&quot;&gt;&lt;/svg&gt;) iex&gt; doctest_ui_component ui_icon(&quot;right&quot;, size: &quot;s&quot;) ~s(&lt;svg alt=&quot;&quot; class=&quot;a-icon a-icon--s&quot; role=&quot;presentation&quot;&gt;&lt;use xlink:href=&quot;#icon-right&quot;&gt;&lt;/svg&gt;) iex&gt; doctest_ui_component ui_icon(&quot;trashcan&quot;) ~s(&lt;svg alt=&quot;&quot; class=&quot;a-icon&quot; role=&quot;presentation&quot;&gt;&lt;use xlink:href=&quot;#icon-trashcan&quot;&gt;&lt;/svg&gt;)","ref":"BitstylesPhoenix.Components.Icon.html#ui_icon/2","title":"BitstylesPhoenix.Components.Icon.ui_icon/2","type":"function"},{"doc":"Time-related UI components","ref":"BitstylesPhoenix.Components.Time.html","title":"BitstylesPhoenix.Components.Time","type":"module"},{"doc":"Renders dates &amp; times in a manner readable and expressive for both humans and machines.human_time — the string you want your human visitors to see machine_time — the UTC-formatted datetime string, with timezone.Examplesiex&gt; doctest_ui_component ui_time(&quot;15:17&quot;, &quot;2020-11-10 14:17:32Z&quot;) ~s(&lt;time datetime=&quot;2020-11-10 14:17:32Z&quot; title=&quot;2020-11-10 14:17:32Z&quot;&gt;15:17&lt;/time&gt;) iex&gt; doctest_ui_component ui_time(&quot;2020-11-18&quot;, &quot;2020-11-18 14:23:14Z&quot;) ~s(&lt;time datetime=&quot;2020-11-18 14:23:14Z&quot; title=&quot;2020-11-18 14:23:14Z&quot;&gt;2020-11-18&lt;/time&gt;)","ref":"BitstylesPhoenix.Components.Time.html#ui_time/2","title":"BitstylesPhoenix.Components.Time.ui_time/2","type":"function"}]